/*
 * Copyright (c) 2008, 2011 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive;

import java.util.List;

/**
 * A MessageEvent is an Event that can have attached Messages. It is
 * broadcasted at the beginning of the instant that just follows the instant of
 * its generation.
 */
public interface MessageEvent extends Event {

	/**
	 * Returns the list of messages that can be read at this instant.
	 * @return the list of messages that can be read at this instant.
	 */
	public List<Message> getMessageList();
}
