/*
 * Copyright (c) 2008, 2011 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive.agent;

import org.xmloperator.reactive.Agent;
import org.xmloperator.reactive.AgentActivity;

/**
 * AgentActivity implementation.
 */
public class AgentActivityImpl implements AgentActivity {
	public final static float RESIDUAL_ACTIVITY = (float) 1.0E-6;

	final Agent agent;
	float activity = RESIDUAL_ACTIVITY;

	/**
	 * Base constructor
	 * @param agent an Agent whose activity is estimated
	 */
	public AgentActivityImpl(Agent agent) {
		this.agent = agent;
	}

	/**
	 * Clone constructor
	 * @param agentActivity to be cloned
	 */
	public AgentActivityImpl(AgentActivityImpl agentActivity) {
		this(agentActivity.agent);
		this.activity = agentActivity.activity;
	}
	
	///////////////////////////////
	// AgentActivity implementation
	///////////////////////////////
	
	public final Agent getAgent() {
		return this.agent;
	}

	public final float getActivity() {
		return this.activity;
	}
	
	////////////////////////
	// Object implementation
	////////////////////////
	
	public String toString() {
		StringBuffer sb = new StringBuffer();
		sb.append(this.agent);
		sb.append(':');
		sb.append(new Float(1000 * this.activity).intValue());
		sb.append("/1000");
		return sb.toString();
	}
}
