/*
 * Copyright (c) 2008, 2011 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive.demo.market;

import org.xmloperator.reactive.exception.ReactiveException;

/**
 * Operation on a market place. Can be used only once. An Operation looks like an Action
 * but it differs of it in that its content, confidential, is not accessible.
 */
public interface Operation {

	/**
	 * Executes this Operation. Can be called only once whatever success or failure
	 * of the Operation.
	 * 
	 * @exception ReactiveException is thrown is case of failure.
	 */
	public void execute() throws ReactiveException;
}
