/*
 * Copyright (c) 2008, 2011 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive.demo.market.data;

/**
 * Market place data.
 */
public interface MarketData {

	/**
	 * Returns the transformers data.
	 * The transformer data pattern is as follows:
	 *	transformer data = new Object[] {
	 *		<transformationName>,
	 *		new Resource[] {<resource>*},
	 *		new int[] {		<unitCount>*},
	 *		new Resource[][] {
	 *			{<proposedResource>, <purchasedResource>}*
	 *		},
	 *		BigInteger.valueOf(<maxTransformationFactor>),
	 *		<capitalResource>,
	 *		BigInteger.valueOf(<capitalUnitCount>)
	 *	};
	 * @return the transformers data.
	 */
	public Object[][] getTransformers();
	
	/**
	 * Returns the operators data.
	 * The operator data pattern is as follows:
	 * 	operator data = new Object[] {
	 * 		<againtResource>,
	 * 		<proposeResource>,
	 * 		BigInteger.valueOf(<againstResourceCapitalUnitCount>)
	 * 	};
	 * @return the operators data.
	 */
	public Object[][] getOperators();
}
