/*
 * Copyright (c) 2008 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive.element;

/**
 * Element with a data content and no child.
 */
public interface DataElement extends Element {

	/**
	 * Values for datatype.
	 */
	public static final String TYPE_STRING = "string";
	public static final String TYPE_OBJECT = "object";
	public static final String TYPE_LONG = "long";
	public static final String TYPE_DOUBLE = "double";
	
	/**
	 * Returns the datatype as one of the TYPE_ constants.
	 * @return the datatype as one of the TYPE_ constants.
	 */
	public String getDataType();
	
	/**
	 * Returns the String value of the data.
	 * It is null for an OBJECT data type.
	 * @return the String value of the data.
	 */
	public String stringDataValue();
}
