/*
 * Copyright (c) 2008, 2011 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive.element.action;

import org.xmloperator.reactive.element.ParentElement;
import org.xmloperator.reactive.element.RWParentElement;
import org.xmloperator.reactive.element.ElementBoard;

/**
 * Action of removing all children of a ParentElement.
 */
public final class ChildrenRemoveAction extends AbstractElementAction {
	
	public ChildrenRemoveAction(ElementBoard elementBoard,
			ParentElement referenceElement) {
		super(elementBoard, referenceElement);
	}
	
	////////////////////////
	// Action implementation
	////////////////////////
	
	public void execute(long permissionKey, long instant) {
		super.execute(permissionKey, instant);
		RWParentElement rwParentElement =
			(RWParentElement)this.elementBoard.rwElement(
				this.referenceElement, permissionKey);
		rwParentElement.removeChildren();
	}
	////////////////////////
	// Object implementation
	////////////////////////
	
	public String toString() {
		StringBuffer sb = new StringBuffer();
		sb.append(super.toString());
		sb.append("removeChildren");
		return sb.toString();
	}
}
