/*
 * Copyright (c) 2008, 2011 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive.element.impl;

import org.xmloperator.reactive.ReactiveCommunity;
import org.xmloperator.reactive.element.Element;
import org.xmloperator.reactive.element.ElementBoard;
import org.xmloperator.reactive.element.RWElement;
import org.xmloperator.reactive.element.RootElement;
import org.xmloperator.reactive.exception.IncorrectKeyException;
import org.xmloperator.reactive.impl.BoardImpl;

/**
 * ElementBoard implementation.
 */
public class ElementBoardImpl extends BoardImpl implements ElementBoard {
	private static final String BOARD_LOCAL_NAME = "board";
	
	protected final RootElement rootElement = new RootElementImpl(
			Element.REACTIVE_NAMESPACE, BOARD_LOCAL_NAME);
	
	public ElementBoardImpl(ReactiveCommunity community, long writingKey) {
		super(community, writingKey);
	}

	//////////////////////////////
	// ElementBoard implementation
	//////////////////////////////
	
	public RootElement getRootElement() {
		return this.rootElement;
	}

	public RWElement rwElement(Element element, long writingKey)
			throws IncorrectKeyException {
		if (writingKey != this.permissionKey)
			throw new IncorrectKeyException();
		return ((ElementImpl)element).getRWElement();
	}
}
