/*
 * Copyright (c) 2008 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive.element.util;

import java.util.Comparator;

import org.xmloperator.reactive.element.Element;

/**
 * Comparator of Element, based on the name.
 */
public final class NameElementComparator implements Comparator<Element> {
	
	public static final NameElementComparator COMPARATOR =
		new NameElementComparator();

	private NameElementComparator() {
	}
	
	////////////////////////////
	// Comparator implementation
	////////////////////////////
	
	public int compare(Element element1, Element element2) {
		int namespaceURIcomparison =
			element1.getNamespaceURI().compareTo(element2.getNamespaceURI());
		if (namespaceURIcomparison != 0)
			return namespaceURIcomparison;
		return NameComparator.COMPARATOR.compare(
				element1.getLocalName(), element2.getLocalName());
	}

	////////////////////////
	// Object implementation
	////////////////////////
	
	public String toString() {
		return "name";
	}
}
